.before-after-image img {
    display: block;
    max-width: 100%;
}

.before-after-image {
    display: block;
    position: relative;
    overflow: hidden;
    border-radius: 0;
    --position: 50%;
}

.before-after-image .image-container {
    width: 100%;
    max-width: 100%;
	aspect-ratio: 2121 / 1414; 
}

.before-after-image .slider-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: left;
}

.before-after-image .image-before {
    position: absolute;
    inset: 0;
    width: var(--position);
}

.before-after-image .image-before {
    overflow: hidden;
}

.before-after-image .image-before img {
    max-width: none !important;
    height: 100%;
    object-fit: cover;
    position: absolute;
    left: 0;
}

.before-after-image .image-after img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.before-after-image .slider {
    position: absolute;
    inset: 0;
    cursor: pointer;
    opacity: 0;
    /* for Firefox */
    width: 100%;
    height: 100%;
}

.before-after-image .slider:focus-visible~.slider-button {
    outline: 3px solid var(--e-global-color-0cf4146, #283e5c);
    outline-offset: 3px;
}

.before-after-image .slider-line {
    position: absolute;
    inset: 0;
    width: .2rem;
    height: 100%;
    background-color: var(--e-global-color-0cf4146, #283e5c);
    z-index: 1;
    left: var(--position);
    transform: translateX(-50%);
    pointer-events: none;
}

.before-after-image .slider-button {
    position: absolute;
    background-color: #fff;
    color: var(--e-global-color-0cf4146, #283e5c);
    width: 52px;
    height: 52px;
    border-radius: 50%;
    top: 50%;
    left: var(--position);
    transform: translate(-50%, -50%);
    pointer-events: none;
}

.before-after-image-carousel .thumbs-carousel {
    margin-top: 15px
}

.before-after-image-carousel .thumbs-carousel .splide__slide {
    border: 0 !important;
}

.before-after-image-carousel .label-group {
    display: flex;
    justify-content: space-between;
    gap: 30px;
}

.before-after-image-carousel .label-group>div {
    font-weight: 400;
    font-size: 14px;
    min-width: 83px;
    padding: 4px;
    background: var(--e-global-color-secondary, #e33044);
    color: #fff;
    text-align: center
}

.before-after-image .before-label,
.before-after-image .after-label {
    position: absolute;
    top: 0;
    font-weight: 400;
    font-size: 14px;
    min-width: 83px;
    padding: 4px;
    background: var(--e-global-color-secondary, #e33044);
    color: #fff;
    text-align: center;
    z-index: 2;
}

.before-after-image .before-label {
    left: 0;
}

.before-after-image .after-label {
    right: 0;
}

.before-after-image .slider-button::before,
.before-after-image .slider-button::after {
    content: "";
    position: absolute;
    top: 50%;
    width: 12px;
    height: 10px;
    clip-path: polygon(50% 0, 100% 100%, 0 100%);
    background: var(--e-global-color-0cf4146, #283e5c);
}

.before-after-image .slider-button::before {
    left: 25%;
    transform: translate(-50%, -50%) rotate(-90deg);
}

.before-after-image .slider-button::after {
    right: 25%;
    transform: translate(50%, -50%) rotate(90deg);
}